unit mainTestVMenu;

{$mode objfpc}{$H+}

interface

uses
  Forms, Graphics, uVMenu, StdCtrls, Dialogs;

type

  { TForm1 }

  TForm1 = class(TForm)
    procedure FormCreate(Sender: TObject);
  private
    VMenu: TVerticalMenu;
    procedure LabelClick(Sender: TObject);
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
var
  i: integer;
begin
  VMenu:=TVerticalMenu.Create(Self,
                              'Home,Products,About,Contact',
                              RGBToColor(70,70,70),
                              clWhite,
                              RGBToColor(40,160,180));
  VMenu.Left:=15;
  VMenu.Top:=15;
  for i:=0 to VMenu.Count-1 do
    VMenu.OnClick[i]:=@LabelClick;
end;

procedure TForm1.LabelClick(Sender: TObject);
var
  lbl: TLabelEx absolute Sender;
begin
  if (Sender is TLabelEx) then
    ShowMessage('You clicked "' + VMenu.Captions[lbl.Tag] + '"');
end;

end.

